What browser versions do you support?

TrainingCheck is compatible with both PCs and Macs and works on most popular web browsers.

Javascript and cookies will need to be enabled on any browser in order for the site and evaluations to work properly.

When using TrainingCheck, we recommend using any of the following browsers:

  • Internet Explorer 7.0 and later 
  • Firefox 3.5 and later 
  • Safari 4.0 and later
  • Google Chrome 7.0 and later

 

Please note: Unfortunately we are not able to offer support for browsers in Beta version. 

Back

Article Quick Jump :